Subject: OSX: with-temp-buffer kills unrelated processes

From: Markus Triska <[email-masked]>
Date: Sun, 13 Jul 2008 19:39:57 +0200 (CEST)

Let w.el consist of the following forms:

 (start-process "bc1" (current-buffer) "bc")

 (with-temp-buffer (start-process "bc2" (current-buffer) "bc"))

When I do "emacs -Q w.el", and press C-M-x on the first form, "bc"
(the GNU arbitrary precision calculator) is started and puts its
start-up message at the end of the buffer (you can also use any other
program that waits for further input). When I then press C-M-x on the
second form, the first process receives SIGHUP, and the message reads:

 "Process bc1 hangup"

I can reproduce this with Emacs 22.2 and latest CVS on OSX. I tried to
trace it in gdb by putting a breakpoint at process_send_signal, but
couldn't reproduce it in the debugger. Otherwise it works every time.

In GNU Emacs 22.2.1 (i386-apple-darwin8.11.1)
 of 2008-05-19 on mt-computer.local
configured using `configure  '--prefix=/opt/local' '--without-x' '--without-carbon' 'CC=/usr/bin/gcc-4.0' 'CFLAGS=-O2' 'LDFLAGS=-L/opt/local/lib' 'CPPFLAGS=-I/opt/local/include' 'CPP=/usr/bin/cpp-4.0''

Important settings:
  value of $LC_ALL: nil
  value of $LC_COLLATE: nil
  value of $LC_CTYPE: nil
  value of $LC_MESSAGES: nil
  value of $LC_MONETARY: nil
  value of $LC_NUMERIC: nil
  value of $LC_TIME: nil
  value of $LANG: nil
  locale-coding-system: nil
  default-enable-multibyte-characters: t